[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Segfault in _wrap_apr_terminate when running "git svn rebase"

From: Dennis Schridde <devurandom_at_gmx.net>
Date: Mon, 12 May 2008 11:53:39 +0200

Am Montag, 12. Mai 2008 01:16:29 schrieb Karl Fogel:
> Dennis Schridde <devurandom_at_gmx.net> writes:
> > Am Sonntag, 11. Mai 2008 23:07:39 schrieb Karl Fogel:
> >> Dennis Schridde <devurandom_at_gmx.net> writes:
> >> >> Is there any possibility you could try to reproduce this with the
> >> >> latest trunk subversion from http://svn.collab.net/repos/svn/trunk/ ?
> >> >> That is even more recent than 1.5.0-rc5 (essentially it's early
> >> >> 1.6). There have been a couple of changes that might or might not
> >> >> fix this.
> >> >
> >> > It seems fixed with subversion r31122. I uninstalled subversion, and
> >> > installed from svn, and did not have a crash so far.
> >>
> >> Thank you for taking the time to test this. I'm glad it's gone; if it
> >> ever recurs, let us know!
> >
> > Will this show up in 1.5.0_rc6? Or do I have to wait for 1.6.0?
>
> 1.6.0 for sure. Whether there will even be a 1.5.0-rc6 is unknown --
> after all, if all goes well, rc5 will become 1.5.0.
>
> However, you can make this more likely to show up sometime in the 1.5.x
> maintenance line (e.g., 1.5.1, 1.5.2, etc) by identifying which
> commit(s) since rc5 fixed the bug.
... I locked myself up...
svn: Version mismatch in 'svn_delta': found 1.5.0-dev, expected 1.6.0-dev
svn: Version mismatch in 'svn_subr': found 1.5.0-dev, expected 1.6.0-dev

How can I fix that?
"make all", "make install" does not seem to solve it.

--Dennis

Received on 2008-05-12 15:34:05 CEST

This is an archived mail posted to the Subversion Users mailing list.